WPS8ParserInternal::State Struct Reference

the state of WPS8 More...

## Public Member Functions

| State ()
void | initTypeMaps ()
| initializes the type map More...

## Public Attributes

long | m_eof
| the end of file More...
WPSPageSpan | m_pageSpan
| the actual document size More...
std::string | m_localeLanguage
| the language More...
WPSEntry | m_background
| an identificator to design a background picture More...
std::vector< Frame > | m_frameList
| the frame's list More...
std::map< int, int > | m_object2FrameMap
| a map m_idObject -> frame More...
std::map< int, int > | m_table2FrameMap
| a map m_idTable -> frame More...
std::map< int, int > | m_docPropertyTypes
| the document property type More...
std::map< int, int > | m_frameTypes
| the frame type More...
int | m_numColumns
| the number of columns More...
int | m_actPage
| the actual page More...
int | m_numPages

## Detailed Description

the state of WPS8

## Constructor & Destructor Documentation

WPS8ParserInternal::State::State | ( |  | ) |

inline

## Member Function Documentation

void WPS8ParserInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

## Member Data Documentation

int WPS8ParserInternal::State::m_actPage

the actual page

WPSEntry WPS8ParserInternal::State::m_background

an identificator to design a background picture

std::map<int,int> WPS8ParserInternal::State::m_docPropertyTypes

the document property type

Referenced by initTypeMaps().

long WPS8ParserInternal::State::m_eof

the end of file

std::vector<Frame> WPS8ParserInternal::State::m_frameList

the frame's list

std::map<int,int> WPS8ParserInternal::State::m_frameTypes

the frame type

Referenced by initTypeMaps().

std::string WPS8ParserInternal::State::m_localeLanguage

the language

int WPS8ParserInternal::State::m_numColumns

the number of columns

int WPS8ParserInternal::State::m_numPages

std::map<int, int> WPS8ParserInternal::State::m_object2FrameMap

a map m_idObject -> frame

WPSPageSpan WPS8ParserInternal::State::m_pageSpan

the actual document size

std::map<int, int> WPS8ParserInternal::State::m_table2FrameMap

a map m_idTable -> frame

The documentation for this struct was generated from the following file:

- WPS8.cpp